Page 1 of 7

Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Sep 24, 2007 4:49 am
by jfitch
Please help me!!!!  I have a web site running 1.0 (Love IT!!!)  I just started a new web site over the weekend.  I decided to install the latest and greatest 1.5.0  Joomla itself installed fine.  The problem came when I tried to install extensions (Modules or Components)  No matter what I have tried I keep getting the same error:

JFolder::create: ??Could not create directory??
•Warning! - Failed to move file•

I had read NUMEROUS posts from people that have had this same problem, but their fix isnt working to fix my problem.

I have the Legacy plugin enabled.  I also have my directories on my server set wide open...write access to everything and still not working.

Please, please, please...I beg of anyone that can point me in the right direction ???

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Sep 24, 2007 5:03 am
by jfitch
Oh...and I almost forgot...I ven tried a specific 1.5 extension, com_helloworld, still nothing put the same error >:( :( ???

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Sep 24, 2007 12:08 pm
by daron.rich069
Intersting - I've been having the same issue.  Any help would be appreciated.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Oct 01, 2007 5:13 am
by motovader
I too have this problem when trying to install extensions on 1.5 on my website (ISP).  I can do this fine at home on my LAMP system so i'm thinking security on files & directories.  This is my first time with Joomla, switching from phpWebSite.  The error I am getting is:

      Warning!  Failed to move file
      Unable to find install package

I am installing the package (.zip) from my PC.

Any assistance would be greatly appreciated.

Kevin

FYI - I figured it out, it was some specific directories that I did not have write enabled.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 02, 2007 4:34 pm
by arkstudios
So what was the fix?  Couls you send me to a link or e-mail me what you've found?  I have the EXACT problem.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 02, 2007 6:28 pm
by Kizo
motovader wrote: FYI - I figured it out, it was some specific directories that I did not have write enabled.
Please, do tell what specific directories you're talking about. I have the same problem.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 02, 2007 6:32 pm
by arkstudios
I am beginning to think this is just an overlooked 1.5 glitch that everyone is afraid to talk about!

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 02, 2007 6:43 pm
by Kizo
Help > System Info and check 'PHP Settings' and 'Directory Permissions'. I did that, and changed all my unwritable to 777.
That solved the Failed to move file-error. But now, instead I get "Unable to open archive"...

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 02, 2007 6:47 pm
by arkstudios
I'm not getting that.  But now there goes security out the door.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 03, 2007 1:08 pm
by BZane
I could be dead wrong (only using joomla for a year or so), but this would appear to be a significant issue (I'm experiencing as well) - can't install ANYTHING without a multitude of various errors.  I've checked all my compatibilities and everything's good.  Settings are criss, installs of anything, suck.

Having to manually go in and modify persmissions, which also make one vulnerable, doesn't make sense.  I tried that as well, and as mentioned above, I also got an additional error once that was done.  Sumthin nah right.  I'm thinking this needs the attention of a developer.  PLEASE.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 03, 2007 1:34 pm
by arkstudios
Just to reaffirm what I have had to do -

I have installed Joomla 1.5 RC2 clean for each attempt just to be sure.  I can't upload a thing unless the entire root folder is 777.  And sometimes setting permissions with an FTP tool like captain FTP doesn't work 100%.  Any folders permissions set recursivley locks up my FTP server and I have to restart.  In addition the FTP layer is plain BROKE.  Nothing in the install step or after set-up in the config area for FTP layer works.  And the thing that really burns me as of late, is a ton of template companies who brag their templates are 1.5 compatible are indeed not.  I am getting resource errors and router php errors like crazy.  They don't seem to affect functionality, but it sure makes it a concern.  These are core issues and I can't believe they are that overlooked.  On a side note,  If you really want to make Joomla powerful for the masses, (listen up now this is seriously obvious) make the stinking modules for the front index.php movable via the admin GUI.  It is a no brainer!!  If we are working in a tableless environment already, what's the hold-up?  This is where 90% of the problems are.  Get that nailed down and the world will be beating a path to your door for this thing. 

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 03, 2007 1:42 pm
by arkstudios
one more thought…  If Wordpress can do Ajax movable menus on the front end what is the thinking for expanding the userbase and ease of use of a "seemingly" great solution like Joomla?

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Fri Oct 05, 2007 5:55 pm
by osva
same issue here. cant install anything.. modules, templates, etc etc.
no errors no nothing..

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Fri Oct 05, 2007 7:08 pm
by WLatshaw
I've been having the same problem for a couple of weeks. I've read all the threads that I could find, and tried the solutions mentioned. No luck. I have used 1.0.12 successfully many times on the same servers without issues. I have to agree that there is a serious problem with 1.5rc2.

My server will not allow 777 permissions (correctly) (PhpSuExec), most directories are 755 and files 644. It would be nice to see some progress or at least hear from the dev team on this - it seems to be a common problem.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Sun Oct 07, 2007 2:00 pm
by stagro
Same problem here. I'm running SUSE 10.2 local for dev and I've tried to install with 777 as a user and as root with exactly the same problem.
Bit of a brick wall here. Any help?

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Oct 08, 2007 10:18 am
by malcolmlyon
I will add my voice to the chorus, in hopes that some clever person will come up with a solution soon! I have installed 1.5 RC2, checked all folder permissions etc, but no extensions will install - I get a bunch of JFTP errors whatever I try to install. Thanks for any help!

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Oct 08, 2007 10:40 am
by Vikette
Yeah, RC3 is out. Anyone have any luck? 

My inner Cartman is thinking of freezing himself until the Wii real Joomla is out.  Could be a 500 year long wait though .... DOCMan, for example, was in RC2 for years and now it's in Beta again.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Oct 08, 2007 4:38 pm
by WLatshaw
RC3 didn't help me, same problems. I guess I'm going back to 1.0. Too bad I built the template for 1.5, now I have to re-create it for 1.0. Good thing the client is relatively patient. I suspect that it is an issue with servers running PhpSuExec/SUSE which won't run 777 folders/files. There are getting to be a lot of them doing so - I'm on one of the largest hosts in the US, and they just went that route. Ironically, one of the benefits was supposed to be the elimination of permission / ownership problems with cms & blog programs. I hope this gets straightened at some point, as 1.5 looks great for those who can run it.

William

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Mon Oct 08, 2007 4:51 pm
by iamzero
Same problem here... I guess it would be nice if someone would speak about solutions instead of problems...

RC3 even made my problems worse; in RC2 I succeeded in installing a couple of components and modules, but after upgrading to RC3 (which was a nightmare in itself - eventually I just made a fresh install) I didn't get a single one to work. So if anyone has solutions, or at least suggestions, it would be greatly appreciated.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 09, 2007 9:27 am
by mariusvr
Same problem here. Running Joomla 1.0.13 smoothly on the same server as my Joomla 1.5 RC3 installation (running PHP 5.2.1 with safe_mode on). However it is impossible to upload and install any extensions. The error message that I am getting is :

"Unable to find install package"

I have enabled the legacy system and even tried the joomla 1.5 hello world component, but nothing fixes the problem.

Would any of the developers like to comment on this issue, as many many people seem to be having this problem. If you suspect that there are different problems leading to the same error, as a minimum the error reporting needs to improve. The above error message doesn't help me at all with trouble shooting this.

I have added a bug tracker for this issue:

http://joomlacode.org/gf/project/joomla ... em_id=7515

Cheers, Marius

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 09, 2007 7:05 pm
by maerkus.com
Hey guys,

Same for me. I am a new user to Joomla. I love it! :) Decided to install 1.5 rc3 as I read it is pretty stable and seeing I am new, no use in going with the previous version.

So I installed, already had a problem with the installation, it did not create the configuration.php file, although it said al my permissions where Write. I could do all installation checks, it just can't create my configuration file. >:( No biggy, just created the file myself.  ;)

Tried everything. Legacy on/ off, ftp layer off/ on. Made all kind of combo's. I can't install any extensions.
Also, when I turn off my ftp layer, it can save this in the configuration file, but when I want to turn it on I get "An error has..." in the top and the configuration file could not be changed.

Weird thing is in system info it shows me safe mode in PHP is off and all directories are write enabled. The only directory which is not writeenabled is the root folder, but I cannot change that.

So as I gather it, from this forum and my own experiences, this is a bug in the new release.  :(

I hope this info helps with solving and hope the developers can solve this quick.
Further more, hail for the developers of joomla as they build a great tool.

In the mean time, I'll be waiting. :pop

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 09, 2007 7:30 pm
by steinkopf
I was able to install a module using the install from directory method. 
brief steps
1) upload zipped module file to a directory
2) unzip the file
3)chmod modules to 777
4)Install using the full path to the folder
5) chomd modules back to original setting 9usually 755)
While this method sucks, you can try to use it as a workaround until the problem is fixed - I suspect it is something with the FTP layer.l

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Tue Oct 09, 2007 9:42 pm
by stagro
Install from directory works for me with Linux, install works without issues under WAMP on Windows.
:D

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 10, 2007 9:40 am
by maerkus.com
Hey Stagro,
could you be more specific? I am a newbie. Don't use linux. So please explain wamp?

thnx in Advance ;D

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 10, 2007 10:04 am
by mariusvr
Install from directory did not work for me. All of my directories are listed as writable in the system info tab and don't want to chmod my directories to 777 for security reasons.

WAMP is a package for windows that allows you to run joomla locally on your windows computer (
http://www.wampserver.com/en/). The server that I use for my joomla installation is a professionally hosted linux server.

Cheers, Marius

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Wed Oct 10, 2007 1:34 pm
by Vikette
For any Developers or Heroes who are reading this thread ...

We love you and all you do for us.  :-*

... but those of us who are not programmers need a little (or a lot) more "upfront" clarification sometimes. Like when we should install what, how to get the settings right to avoid getting the error messages, and more explanation of the error messages.   

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Thu Oct 11, 2007 2:05 am
by onewalrus
motovader wrote: I too have this problem when trying to install extensions on 1.5 on my website (ISP).  I can do this fine at home on my LAMP system so i'm thinking security on files & directories.  This is my first time with Joomla, switching from phpWebSite.  The error I am getting is:

      Warning!  Failed to move file
      Unable to find install package

I am installing the package (.zip) from my PC.

Any assistance would be greatly appreciated.

Kevin

FYI - I figured it out, it was some specific directories that I did not have write enabled.
Please, when posting that you have found a solution to a problem, take the time to be specific about what exactly you did. When you post as you have, you defeat the purpose of the forum, which is to share information, not cheer about having fixed something and then not share the fix with others.

So, here is what you failed to inform about your fix:

CHMOD both your main "joomla" directory and your "component" directory to 777. This will create a security risk, so change the permissions back to 755 when you are finished.

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Thu Oct 11, 2007 9:34 am
by maerkus.com
Hey Guys,

thanks for all the info. Gonna try wamp and also changing the authorisations temporarily to 777 so I can test this.
And good reply about being specific. love the forum and all the help, it makes joomla much easier to learn.

Thanx, I'll let you know what solves it for me :)

With kind regards,

Maerkus

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Fri Oct 12, 2007 9:36 am
by Zazza
I too have problem installing.
steinkopf wrote: I was able to install a module using the install from directory method. 
brief steps
1) upload zipped module file to a directory
2) unzip the file
3)chmod modules to 777
4)Install using the full path to the folder
5) chomd modules back to original setting 9usually 755)
While this method sucks, you can try to use it as a workaround until the problem is fixed - I suspect it is something with the FTP layer.l
I did figured that method out and thought it would solve my problems.
It did not. Having tried it I still have some problems. The installation process
confirm that the install is successful, but it does not actually install anything.

Trying to "Upload Package File" I get "Unable to find install package".

Anyone have any ideas?
I am thankfull for any thoughts, comments, solutions, links....

Many thanx in advance - Zazza

[edit] Trying to install 1.5 themes & extensions.
Example - swedish language frontend extension (sv-SE_site_Joomla_15_rc3.zip) from http://www.svenskjoomla.se

Re: Joomla V 1.5.0 - I can not install ANY extensions

Posted: Fri Oct 12, 2007 11:12 am
by Vikette
??? Wouldn't you think that something as developed as this particular RC3 would have the _occasional_ bug?  So many people able to properly INSTALL the thing properly, or get help doing so, is a bit much at this stage.